/* 
 * File:   CLArgumentBase.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 08:59
 */

#ifndef CLARGUMENTBASE_H
#define	CLARGUMENTBASE_H

#include <SettingBase.h>

namespace CommandLineArgumentLib {

class CLArgumentBase {
public:
    CLArgumentBase();
    CLArgumentBase(const CLArgumentBase& orig);
    virtual ~CLArgumentBase();

    virtual void SetSetting(SettingBase* setting) {
        this->setting = setting;
    }

    SettingBase* GetSetting() const {
        return setting;
    }
private:
    SettingBase *setting;
};

}

#endif	/* CLARGUMENTBASE_H */

