/* 
 * File:   CLAParseArgumentFunctions.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 12:56
 */

#ifndef CLAPARSEARGUMENTFUNCTIONS_H
#define	CLAPARSEARGUMENTFUNCTIONS_H

#include <string>
#include <sstream>
#include <CLAExceptions.h>

namespace CommandLineArgumentLib
{

class ParseArgumentFunctions
{
public:
    static bool ParseBool(std::string boolString);

    static std::string ParseString(std::string s);

    static int ParseNumber(std::string numberString);

    static float ParseFloat(std::string floatString);
};

}

#endif	/* CLAPARSEARGUMENTFUNCTIONS_H */

