/* 
 * File:   SetAHECCodingParameterCommand.h
 * Author: jochen
 *
 * Created on 27. Januar 2011, 16:29
 */

#ifndef SETAHECCODINGPARAMETERCOMMAND_H
#define	SETAHECCODINGPARAMETERCOMMAND_H

#include <SetParameterCommand.h>
#include <iostream>

class SetAHECCodingParameterCommand  : public SetParameterCommand<media_transport_protocol::param_AHEC> {
public:
    SetAHECCodingParameterCommand();
    virtual ~SetAHECCodingParameterCommand();

    virtual void ReadParameters(std::istream &inputstream);
private:
    SetAHECCodingParameterCommand(const SetAHECCodingParameterCommand& orig);
    bool ParseParityPacketRounds(std::string &ahec, std::vector<unsigned> &v_ahec);

};

#endif	/* SETAHECCODINGPARAMETERCOMMAND_H */

