/* 
 * File:   SetFloatParameterCommand.h
 * Author: jochen
 *
 * Created on 16. Februar 2011, 10:20
 */

#ifndef SETFLOATPARAMETERCOMMAND_H
#define	SETFLOATPARAMETERCOMMAND_H

#include <SetParameterCommand.h>
#include <iostream>

template <class TParam>
class SetFloatParameterCommand : public SetParameterCommand<TParam> {
public:

    SetFloatParameterCommand() {
    };

    virtual ~SetFloatParameterCommand() {
    };

    virtual void ReadParameters(std::istream& inputstream) {
        SetParameterCommand<TParam>::ReadParameters(inputstream);

        float value = 0.0;

        if (!(inputstream >> value).good()) {
            throw "Parameter value not valid";
        }

        this->SetParameterObject(new TParam(value));
    }

private:

    SetFloatParameterCommand(const SetFloatParameterCommand& orig) {
    };

};

#endif	/* SETFLOATPARAMETERCOMMAND_H */

