/* 
 * File:   SetIntParameterCommand.h
 * Author: jochen
 *
 * Created on 27. Januar 2011, 16:21
 */

#ifndef SETINTPARAMETERCOMMAND_H
#define	SETINTPARAMETERCOMMAND_H

#include <SetParameterCommand.h>
#include <iostream>

template <class TParam>
class SetIntParameterCommand : public SetParameterCommand<TParam> {
public:

    SetIntParameterCommand() {
    }

    virtual ~SetIntParameterCommand() {
    }

    virtual void ReadParameters(std::istream& inputstream) {

        SetParameterCommand<TParam>::ReadParameters(inputstream);

        int value = 0;

        if (!(inputstream >> value).good()) {
            throw "Parameter value not valid";
        }

        this->SetParameterObject(new TParam(value));
    }
private:

    SetIntParameterCommand(const SetIntParameterCommand& orig) {
    }

};

#endif	/* SETINTPARAMETERCOMMAND_H */

