/*
 * File:   ParseFlagOption_Test.h
 * Author: gruen
 *
 * Created on 29.12.2010, 14:30:12
 */

#ifndef PARSEFLAGOPTION_TEST_H
#define	PARSEFLAGOPTION_TEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <CommandLineArgumentLib.h>


class ParseFlagOption_Test : public CPPUNIT_NS::TestFixture {
    CPPUNIT_TEST_SUITE(ParseFlagOption_Test);

    CPPUNIT_TEST(SingleFlagOption_IsValid);
    CPPUNIT_TEST(SingleFlagOption_NotValid);
    CPPUNIT_TEST(MultipleFlagOptions_AllValid);
    CPPUNIT_TEST(MultipleFlagOptions_OneNotValid);

    CPPUNIT_TEST_SUITE_END();

public:
    ParseFlagOption_Test();
    virtual ~ParseFlagOption_Test();
    void setUp();
    void tearDown();

private:
    void SingleFlagOption_IsValid();
    void SingleFlagOption_NotValid();
    void MultipleFlagOptions_AllValid();
    void MultipleFlagOptions_OneNotValid();

    CommandLineArgumentLib::CommandLineArgumentParser *parser;
};

#endif	/* PARSEFLAGOPTION_TEST_H */

