/* 
 * File:   AddSocketCommand.cpp
 * Author: jochen
 * 
 * Created on 11. Januar 2011, 14:42
 */

using namespace std;

#include <AddSocketCommand.h>
#include <iostream>

AddSocketCommand::AddSocketCommand() {
}

AddSocketCommand::AddSocketCommand(const AddSocketCommand& orig) {
}

AddSocketCommand::~AddSocketCommand() {
}

void AddSocketCommand::ReadParameters(istream& inputstream) {

	if (!(inputstream >> senderSocketIp).good()) {
		throw "Receiver socket no. not valid / Socket function";
	}

	if (!(inputstream >> receiverSocketIp).good()) {
		throw "Receiver socket no. not valid / Socket function";
	}

}

void AddSocketCommand::Execute() {
    CommandExecutor *commandExecutor = GetCommandExecutor();

    (commandExecutor->*ExecuteFunction)(senderSocketIp, receiverSocketIp);
}
